//index.scss

@import '_theme-gris';
// @import '_theme-rose';

html {
  font-family: 'Lato', 'Open Sans', Arial, sans-serif;  
  color: $text-color;
}

body {
  margin: 0;
}

.container {
  width: 960px;
  margin: 0 auto;
}

header {
  background-color: $dark-gray;
  text-align: center;
  overflow: hidden;
}

nav.menu {
  margin-bottom: 1em;
  background-color: $menu-background;
  border-radius: 5px;

  ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: table;
    width: 100%;
  }

  li {
    display: table-cell;
    text-align: center;
    perspective: 500px;
  }

  a {
    display: block;
    padding: 4px 8px;

    &:link,
    &:visited {
      color: invert($link-color);
      text-decoration: none;
      transition: all 200ms;
    }
    &:hover,
    &:active {
      transform: scale(1.2);
      color: invert($link-color-hover);
      background-color: invert($menu-background);
    }
  }
}

main > section {
  padding: 2em 1em;

  &:nth-child(odd) {
    background-color: $gray;
  }
  &:first-child { margin-top: 1em }
  &:last-child { margin-bottom: 1em }
}

footer {
  background-color: $dark-gray;
  margin-top: 1em;
  padding: 1em;
  > .container {
    display: flex;
  }
  ul {
    flex: 1;
    margin: 0;
    padding: 0;
    list-style: none;
    text-align: center;
  }
  a {
    &:link, &:visited {
      color: $link-color;
    }
    &:hover, &:active {
      color: $link-color-hover;
      text-decoration: none;
    }
  }
}